ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.122 by ayin, Tue Dec 11 18:32:08 2007 UTC vs.
Revision 1.124 by ayin, Fri Dec 28 14:00:47 2007 UTC

694PERLPRIVLIBEXP 694PERLPRIVLIBEXP
695IF_PERL 695IF_PERL
696PERL_O 696PERL_O
697AFTERIMAGE_CFLAGS 697AFTERIMAGE_CFLAGS
698AFTERIMAGE_LIBS 698AFTERIMAGE_LIBS
699include_stdint_h
700include_sys_ioctl_h
701include_sys_strredir_h
702LIBOBJS 699LIBOBJS
703LTLIBOBJS' 700LTLIBOBJS'
704ac_subst_files='' 701ac_subst_files=''
705 ac_precious_vars='build_alias 702 ac_precious_vars='build_alias
706host_alias 703host_alias
5837 fi 5834 fi
5838 5835
5839fi 5836fi
5840 5837
5841 5838
5839{ echo "$as_me:$LINENO: checking for nanosleep" >&5
5840echo $ECHO_N "checking for nanosleep... $ECHO_C" >&6; }
5841if test "${ac_cv_func_nanosleep+set}" = set; then
5842 echo $ECHO_N "(cached) $ECHO_C" >&6
5843else
5844 cat >conftest.$ac_ext <<_ACEOF
5845/* confdefs.h. */
5846_ACEOF
5847cat confdefs.h >>conftest.$ac_ext
5848cat >>conftest.$ac_ext <<_ACEOF
5849/* end confdefs.h. */
5850/* Define nanosleep to an innocuous variant, in case <limits.h> declares nanosleep.
5851 For example, HP-UX 11i <limits.h> declares gettimeofday. */
5852#define nanosleep innocuous_nanosleep
5853
5854/* System header to define __stub macros and hopefully few prototypes,
5855 which can conflict with char nanosleep (); below.
5856 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5857 <limits.h> exists even on freestanding compilers. */
5858
5859#ifdef __STDC__
5860# include <limits.h>
5861#else
5862# include <assert.h>
5863#endif
5864
5865#undef nanosleep
5866
5867/* Override any GCC internal prototype to avoid an error.
5868 Use char because int might match the return type of a GCC
5869 builtin and then its argument prototype would still apply. */
5870#ifdef __cplusplus
5871extern "C"
5872#endif
5873char nanosleep ();
5874/* The GNU C library defines this for functions which it implements
5875 to always fail with ENOSYS. Some functions are actually named
5876 something starting with __ and the normal name is an alias. */
5877#if defined __stub_nanosleep || defined __stub___nanosleep
5878choke me
5879#endif
5880
5881int
5882main ()
5883{
5884return nanosleep ();
5885 ;
5886 return 0;
5887}
5888_ACEOF
5889rm -f conftest.$ac_objext conftest$ac_exeext
5890if { (ac_try="$ac_link"
5891case "(($ac_try" in
5892 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5893 *) ac_try_echo=$ac_try;;
5894esac
5895eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5896 (eval "$ac_link") 2>conftest.er1
5897 ac_status=$?
5898 grep -v '^ *+' conftest.er1 >conftest.err
5899 rm -f conftest.er1
5900 cat conftest.err >&5
5901 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5902 (exit $ac_status); } && {
5903 test -z "$ac_cxx_werror_flag" ||
5904 test ! -s conftest.err
5905 } && test -s conftest$ac_exeext &&
5906 $as_test_x conftest$ac_exeext; then
5907 ac_cv_func_nanosleep=yes
5908else
5909 echo "$as_me: failed program was:" >&5
5910sed 's/^/| /' conftest.$ac_ext >&5
5911
5912 ac_cv_func_nanosleep=no
5913fi
5914
5915rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5916 conftest$ac_exeext conftest.$ac_ext
5917fi
5918{ echo "$as_me:$LINENO: result: $ac_cv_func_nanosleep" >&5
5919echo "${ECHO_T}$ac_cv_func_nanosleep" >&6; }
5920if test $ac_cv_func_nanosleep = yes; then
5921 :
5922else
5923
5924 if test -z "$LIBEV_M4_AVOID_LIBRT"; then
5925
5926{ echo "$as_me:$LINENO: checking for nanosleep in -lrt" >&5
5927echo $ECHO_N "checking for nanosleep in -lrt... $ECHO_C" >&6; }
5928if test "${ac_cv_lib_rt_nanosleep+set}" = set; then
5929 echo $ECHO_N "(cached) $ECHO_C" >&6
5930else
5931 ac_check_lib_save_LIBS=$LIBS
5932LIBS="-lrt $LIBS"
5933cat >conftest.$ac_ext <<_ACEOF
5934/* confdefs.h. */
5935_ACEOF
5936cat confdefs.h >>conftest.$ac_ext
5937cat >>conftest.$ac_ext <<_ACEOF
5938/* end confdefs.h. */
5939
5940/* Override any GCC internal prototype to avoid an error.
5941 Use char because int might match the return type of a GCC
5942 builtin and then its argument prototype would still apply. */
5943#ifdef __cplusplus
5944extern "C"
5945#endif
5946char nanosleep ();
5947int
5948main ()
5949{
5950return nanosleep ();
5951 ;
5952 return 0;
5953}
5954_ACEOF
5955rm -f conftest.$ac_objext conftest$ac_exeext
5956if { (ac_try="$ac_link"
5957case "(($ac_try" in
5958 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5959 *) ac_try_echo=$ac_try;;
5960esac
5961eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5962 (eval "$ac_link") 2>conftest.er1
5963 ac_status=$?
5964 grep -v '^ *+' conftest.er1 >conftest.err
5965 rm -f conftest.er1
5966 cat conftest.err >&5
5967 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5968 (exit $ac_status); } && {
5969 test -z "$ac_cxx_werror_flag" ||
5970 test ! -s conftest.err
5971 } && test -s conftest$ac_exeext &&
5972 $as_test_x conftest$ac_exeext; then
5973 ac_cv_lib_rt_nanosleep=yes
5974else
5975 echo "$as_me: failed program was:" >&5
5976sed 's/^/| /' conftest.$ac_ext >&5
5977
5978 ac_cv_lib_rt_nanosleep=no
5979fi
5980
5981rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5982 conftest$ac_exeext conftest.$ac_ext
5983LIBS=$ac_check_lib_save_LIBS
5984fi
5985{ echo "$as_me:$LINENO: result: $ac_cv_lib_rt_nanosleep" >&5
5986echo "${ECHO_T}$ac_cv_lib_rt_nanosleep" >&6; }
5987if test $ac_cv_lib_rt_nanosleep = yes; then
5988 cat >>confdefs.h <<_ACEOF
5989#define HAVE_LIBRT 1
5990_ACEOF
5991
5992 LIBS="-lrt $LIBS"
5993
5994fi
5995
5996 unset ac_cv_func_nanosleep
5997
5998for ac_func in nanosleep
5999do
6000as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
6001{ echo "$as_me:$LINENO: checking for $ac_func" >&5
6002echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
6003if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
6004 echo $ECHO_N "(cached) $ECHO_C" >&6
6005else
6006 cat >conftest.$ac_ext <<_ACEOF
6007/* confdefs.h. */
6008_ACEOF
6009cat confdefs.h >>conftest.$ac_ext
6010cat >>conftest.$ac_ext <<_ACEOF
6011/* end confdefs.h. */
6012/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
6013 For example, HP-UX 11i <limits.h> declares gettimeofday. */
6014#define $ac_func innocuous_$ac_func
6015
6016/* System header to define __stub macros and hopefully few prototypes,
6017 which can conflict with char $ac_func (); below.
6018 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
6019 <limits.h> exists even on freestanding compilers. */
6020
6021#ifdef __STDC__
6022# include <limits.h>
6023#else
6024# include <assert.h>
6025#endif
6026
6027#undef $ac_func
6028
6029/* Override any GCC internal prototype to avoid an error.
6030 Use char because int might match the return type of a GCC
6031 builtin and then its argument prototype would still apply. */
6032#ifdef __cplusplus
6033extern "C"
6034#endif
6035char $ac_func ();
6036/* The GNU C library defines this for functions which it implements
6037 to always fail with ENOSYS. Some functions are actually named
6038 something starting with __ and the normal name is an alias. */
6039#if defined __stub_$ac_func || defined __stub___$ac_func
6040choke me
6041#endif
6042
6043int
6044main ()
6045{
6046return $ac_func ();
6047 ;
6048 return 0;
6049}
6050_ACEOF
6051rm -f conftest.$ac_objext conftest$ac_exeext
6052if { (ac_try="$ac_link"
6053case "(($ac_try" in
6054 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6055 *) ac_try_echo=$ac_try;;
6056esac
6057eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6058 (eval "$ac_link") 2>conftest.er1
6059 ac_status=$?
6060 grep -v '^ *+' conftest.er1 >conftest.err
6061 rm -f conftest.er1
6062 cat conftest.err >&5
6063 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6064 (exit $ac_status); } && {
6065 test -z "$ac_cxx_werror_flag" ||
6066 test ! -s conftest.err
6067 } && test -s conftest$ac_exeext &&
6068 $as_test_x conftest$ac_exeext; then
6069 eval "$as_ac_var=yes"
6070else
6071 echo "$as_me: failed program was:" >&5
6072sed 's/^/| /' conftest.$ac_ext >&5
6073
6074 eval "$as_ac_var=no"
6075fi
6076
6077rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
6078 conftest$ac_exeext conftest.$ac_ext
6079fi
6080ac_res=`eval echo '${'$as_ac_var'}'`
6081 { echo "$as_me:$LINENO: result: $ac_res" >&5
6082echo "${ECHO_T}$ac_res" >&6; }
6083if test `eval echo '${'$as_ac_var'}'` = yes; then
6084 cat >>confdefs.h <<_ACEOF
6085#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
6086_ACEOF
6087
6088fi
6089done
6090
6091 fi
6092
6093fi
6094
6095
5842 6096
5843{ echo "$as_me:$LINENO: checking for ceil in -lm" >&5 6097{ echo "$as_me:$LINENO: checking for ceil in -lm" >&5
5844echo $ECHO_N "checking for ceil in -lm... $ECHO_C" >&6; } 6098echo $ECHO_N "checking for ceil in -lm... $ECHO_C" >&6; }
5845if test "${ac_cv_lib_m_ceil+set}" = set; then 6099if test "${ac_cv_lib_m_ceil+set}" = set; then
5846 echo $ECHO_N "(cached) $ECHO_C" >&6 6100 echo $ECHO_N "(cached) $ECHO_C" >&6
7356 7610
7357 7611
7358 7612
7359 7613
7360 7614
7361
7362for ac_header in \ 7615for ac_header in \
7363 sys/byteorder.h \ 7616 sys/byteorder.h \
7364 sys/ioctl.h \ 7617 sys/ioctl.h \
7365 sys/sockio.h \ 7618 sys/sockio.h \
7366 sys/strredir.h \ 7619 sys/strredir.h \
7367 stdint.h \ 7620 stdint.h \
7368 wchar.h \ 7621 wchar.h \
7369 cwchar \ 7622 cwchar \
7370 clocale \
7371 7623
7372do 7624do
7373as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 7625as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
7374if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 7626if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
7375 { echo "$as_me:$LINENO: checking for $ac_header" >&5 7627 { echo "$as_me:$LINENO: checking for $ac_header" >&5
7506fi 7758fi
7507 7759
7508done 7760done
7509 7761
7510 7762
7511{ echo "$as_me:$LINENO: checking whether termios.h and sys/ioctl.h may both be included" >&5
7512echo $ECHO_N "checking whether termios.h and sys/ioctl.h may both be included... $ECHO_C" >&6; }
7513if test "${rxvt_cv_header_sysioctl+set}" = set; then
7514 echo $ECHO_N "(cached) $ECHO_C" >&6
7515else
7516 cat >conftest.$ac_ext <<_ACEOF
7517/* confdefs.h. */
7518_ACEOF
7519cat confdefs.h >>conftest.$ac_ext
7520cat >>conftest.$ac_ext <<_ACEOF
7521/* end confdefs.h. */
7522#include <stdio.h>
7523#include <sys/ioctl.h>
7524#include <termios.h>
7525
7526int
7527main ()
7528{
7529int a = ECHO;
7530 ;
7531 return 0;
7532}
7533_ACEOF
7534rm -f conftest.$ac_objext
7535if { (ac_try="$ac_compile"
7536case "(($ac_try" in
7537 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7538 *) ac_try_echo=$ac_try;;
7539esac
7540eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7541 (eval "$ac_compile") 2>conftest.er1
7542 ac_status=$?
7543 grep -v '^ *+' conftest.er1 >conftest.err
7544 rm -f conftest.er1
7545 cat conftest.err >&5
7546 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7547 (exit $ac_status); } && {
7548 test -z "$ac_cxx_werror_flag" ||
7549 test ! -s conftest.err
7550 } && test -s conftest.$ac_objext; then
7551 rxvt_cv_header_sysioctl=yes
7552else
7553 echo "$as_me: failed program was:" >&5
7554sed 's/^/| /' conftest.$ac_ext >&5
7555
7556 rxvt_cv_header_sysioctl=no
7557fi
7558
7559rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7560fi
7561{ echo "$as_me:$LINENO: result: $rxvt_cv_header_sysioctl" >&5
7562echo "${ECHO_T}$rxvt_cv_header_sysioctl" >&6; }
7563
7564{ echo "$as_me:$LINENO: checking for XPointer" >&5 7763{ echo "$as_me:$LINENO: checking for XPointer" >&5
7565echo $ECHO_N "checking for XPointer... $ECHO_C" >&6; } 7764echo $ECHO_N "checking for XPointer... $ECHO_C" >&6; }
7566if test "${rxvt_cv_xpointer+set}" = set; then 7765if test "${rxvt_cv_xpointer+set}" = set; then
7567 echo $ECHO_N "(cached) $ECHO_C" >&6 7766 echo $ECHO_N "(cached) $ECHO_C" >&6
7568else 7767else
8469fi 8668fi
8470done 8669done
8471 8670
8472 8671
8473 8672
8673
8674
8474for ac_header in lastlog.h 8675for ac_header in \
8676 utmp.h \
8677 utmpx.h \
8678 lastlog.h \
8679
8475do 8680do
8476as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 8681as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
8477if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 8682if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8478 { echo "$as_me:$LINENO: checking for $ac_header" >&5 8683 { echo "$as_me:$LINENO: checking for $ac_header" >&5
8479echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 8684echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
8610 8815
8611done 8816done
8612 8817
8613 8818
8614 8819
8615 8820if test "${ac_cv_header_utmp_h+set}" = set; then
8616for ac_header in utmp.h
8617do
8618as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
8619if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8620 { echo "$as_me:$LINENO: checking for $ac_header" >&5 8821 { echo "$as_me:$LINENO: checking for utmp.h" >&5
8621echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 8822echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6; }
8622if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 8823if test "${ac_cv_header_utmp_h+set}" = set; then
8623 echo $ECHO_N "(cached) $ECHO_C" >&6 8824 echo $ECHO_N "(cached) $ECHO_C" >&6
8624fi 8825fi
8625ac_res=`eval echo '${'$as_ac_Header'}'`
8626 { echo "$as_me:$LINENO: result: $ac_res" >&5 8826{ echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5
8627echo "${ECHO_T}$ac_res" >&6; } 8827echo "${ECHO_T}$ac_cv_header_utmp_h" >&6; }
8628else 8828else
8629 # Is the header compilable? 8829 # Is the header compilable?
8630{ echo "$as_me:$LINENO: checking $ac_header usability" >&5 8830{ echo "$as_me:$LINENO: checking utmp.h usability" >&5
8631echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; } 8831echo $ECHO_N "checking utmp.h usability... $ECHO_C" >&6; }
8632cat >conftest.$ac_ext <<_ACEOF 8832cat >conftest.$ac_ext <<_ACEOF
8633/* confdefs.h. */ 8833/* confdefs.h. */
8634_ACEOF 8834_ACEOF
8635cat confdefs.h >>conftest.$ac_ext 8835cat confdefs.h >>conftest.$ac_ext
8636cat >>conftest.$ac_ext <<_ACEOF 8836cat >>conftest.$ac_ext <<_ACEOF
8637/* end confdefs.h. */ 8837/* end confdefs.h. */
8638$ac_includes_default 8838$ac_includes_default
8639#include <$ac_header> 8839#include <utmp.h>
8640_ACEOF 8840_ACEOF
8641rm -f conftest.$ac_objext 8841rm -f conftest.$ac_objext
8642if { (ac_try="$ac_compile" 8842if { (ac_try="$ac_compile"
8643case "(($ac_try" in 8843case "(($ac_try" in
8644 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 8844 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8666rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 8866rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8667{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 8867{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
8668echo "${ECHO_T}$ac_header_compiler" >&6; } 8868echo "${ECHO_T}$ac_header_compiler" >&6; }
8669 8869
8670# Is the header present? 8870# Is the header present?
8671{ echo "$as_me:$LINENO: checking $ac_header presence" >&5 8871{ echo "$as_me:$LINENO: checking utmp.h presence" >&5
8672echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; } 8872echo $ECHO_N "checking utmp.h presence... $ECHO_C" >&6; }
8673cat >conftest.$ac_ext <<_ACEOF 8873cat >conftest.$ac_ext <<_ACEOF
8674/* confdefs.h. */ 8874/* confdefs.h. */
8675_ACEOF 8875_ACEOF
8676cat confdefs.h >>conftest.$ac_ext 8876cat confdefs.h >>conftest.$ac_ext
8677cat >>conftest.$ac_ext <<_ACEOF 8877cat >>conftest.$ac_ext <<_ACEOF
8678/* end confdefs.h. */ 8878/* end confdefs.h. */
8679#include <$ac_header> 8879#include <utmp.h>
8680_ACEOF 8880_ACEOF
8681if { (ac_try="$ac_cpp conftest.$ac_ext" 8881if { (ac_try="$ac_cpp conftest.$ac_ext"
8682case "(($ac_try" in 8882case "(($ac_try" in
8683 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 8883 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8684 *) ac_try_echo=$ac_try;; 8884 *) ac_try_echo=$ac_try;;
8707echo "${ECHO_T}$ac_header_preproc" >&6; } 8907echo "${ECHO_T}$ac_header_preproc" >&6; }
8708 8908
8709# So? What about this header? 8909# So? What about this header?
8710case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 8910case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
8711 yes:no: ) 8911 yes:no: )
8712 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5 8912 { echo "$as_me:$LINENO: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&5
8713echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;} 8913echo "$as_me: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8714 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5 8914 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the compiler's result" >&5
8715echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;} 8915echo "$as_me: WARNING: utmp.h: proceeding with the compiler's result" >&2;}
8716 ac_header_preproc=yes 8916 ac_header_preproc=yes
8717 ;; 8917 ;;
8718 no:yes:* ) 8918 no:yes:* )
8719 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5 8919 { echo "$as_me:$LINENO: WARNING: utmp.h: present but cannot be compiled" >&5
8720echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;} 8920echo "$as_me: WARNING: utmp.h: present but cannot be compiled" >&2;}
8721 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5 8921 { echo "$as_me:$LINENO: WARNING: utmp.h: check for missing prerequisite headers?" >&5
8722echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;} 8922echo "$as_me: WARNING: utmp.h: check for missing prerequisite headers?" >&2;}
8723 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5 8923 { echo "$as_me:$LINENO: WARNING: utmp.h: see the Autoconf documentation" >&5
8724echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;} 8924echo "$as_me: WARNING: utmp.h: see the Autoconf documentation" >&2;}
8725 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5 8925 { echo "$as_me:$LINENO: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&5
8726echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;} 8926echo "$as_me: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&2;}
8727 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 8927 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the preprocessor's result" >&5
8728echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 8928echo "$as_me: WARNING: utmp.h: proceeding with the preprocessor's result" >&2;}
8729 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5 8929 { echo "$as_me:$LINENO: WARNING: utmp.h: in the future, the compiler will take precedence" >&5
8730echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;} 8930echo "$as_me: WARNING: utmp.h: in the future, the compiler will take precedence" >&2;}
8731 8931
8732 ;; 8932 ;;
8733esac 8933esac
8734{ echo "$as_me:$LINENO: checking for $ac_header" >&5 8934{ echo "$as_me:$LINENO: checking for utmp.h" >&5
8735echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 8935echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6; }
8736if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 8936if test "${ac_cv_header_utmp_h+set}" = set; then
8737 echo $ECHO_N "(cached) $ECHO_C" >&6 8937 echo $ECHO_N "(cached) $ECHO_C" >&6
8738else 8938else
8739 eval "$as_ac_Header=\$ac_header_preproc" 8939 ac_cv_header_utmp_h=$ac_header_preproc
8740fi 8940fi
8741ac_res=`eval echo '${'$as_ac_Header'}'`
8742 { echo "$as_me:$LINENO: result: $ac_res" >&5 8941{ echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5
8743echo "${ECHO_T}$ac_res" >&6; } 8942echo "${ECHO_T}$ac_cv_header_utmp_h" >&6; }
8744 8943
8745fi 8944fi
8746if test `eval echo '${'$as_ac_Header'}'` = yes; then 8945if test $ac_cv_header_utmp_h = yes; then
8747 cat >>confdefs.h <<_ACEOF
8748#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
8749_ACEOF
8750 { echo "$as_me:$LINENO: checking for struct utmp" >&5 8946 { echo "$as_me:$LINENO: checking for struct utmp" >&5
8751echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6; } 8947echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6; }
8752if test "${struct_utmp+set}" = set; then 8948if test "${struct_utmp+set}" = set; then
8753 echo $ECHO_N "(cached) $ECHO_C" >&6 8949 echo $ECHO_N "(cached) $ECHO_C" >&6
8754else 8950else
8755 cat >conftest.$ac_ext <<_ACEOF 8951 cat >conftest.$ac_ext <<_ACEOF
8922 9118
8923fi 9119fi
8924 9120
8925fi 9121fi
8926 9122
8927done
8928 9123
8929 9124
8930 9125if test "${ac_cv_header_utmpx_h+set}" = set; then
8931for ac_header in utmpx.h
8932do
8933as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
8934if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8935 { echo "$as_me:$LINENO: checking for $ac_header" >&5 9126 { echo "$as_me:$LINENO: checking for utmpx.h" >&5
8936echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 9127echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6; }
8937if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 9128if test "${ac_cv_header_utmpx_h+set}" = set; then
8938 echo $ECHO_N "(cached) $ECHO_C" >&6 9129 echo $ECHO_N "(cached) $ECHO_C" >&6
8939fi 9130fi
8940ac_res=`eval echo '${'$as_ac_Header'}'`
8941 { echo "$as_me:$LINENO: result: $ac_res" >&5 9131{ echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5
8942echo "${ECHO_T}$ac_res" >&6; } 9132echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6; }
8943else 9133else
8944 # Is the header compilable? 9134 # Is the header compilable?
8945{ echo "$as_me:$LINENO: checking $ac_header usability" >&5 9135{ echo "$as_me:$LINENO: checking utmpx.h usability" >&5
8946echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; } 9136echo $ECHO_N "checking utmpx.h usability... $ECHO_C" >&6; }
8947cat >conftest.$ac_ext <<_ACEOF 9137cat >conftest.$ac_ext <<_ACEOF
8948/* confdefs.h. */ 9138/* confdefs.h. */
8949_ACEOF 9139_ACEOF
8950cat confdefs.h >>conftest.$ac_ext 9140cat confdefs.h >>conftest.$ac_ext
8951cat >>conftest.$ac_ext <<_ACEOF 9141cat >>conftest.$ac_ext <<_ACEOF
8952/* end confdefs.h. */ 9142/* end confdefs.h. */
8953$ac_includes_default 9143$ac_includes_default
8954#include <$ac_header> 9144#include <utmpx.h>
8955_ACEOF 9145_ACEOF
8956rm -f conftest.$ac_objext 9146rm -f conftest.$ac_objext
8957if { (ac_try="$ac_compile" 9147if { (ac_try="$ac_compile"
8958case "(($ac_try" in 9148case "(($ac_try" in
8959 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 9149 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8981rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 9171rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8982{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 9172{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
8983echo "${ECHO_T}$ac_header_compiler" >&6; } 9173echo "${ECHO_T}$ac_header_compiler" >&6; }
8984 9174
8985# Is the header present? 9175# Is the header present?
8986{ echo "$as_me:$LINENO: checking $ac_header presence" >&5 9176{ echo "$as_me:$LINENO: checking utmpx.h presence" >&5
8987echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; } 9177echo $ECHO_N "checking utmpx.h presence... $ECHO_C" >&6; }
8988cat >conftest.$ac_ext <<_ACEOF 9178cat >conftest.$ac_ext <<_ACEOF
8989/* confdefs.h. */ 9179/* confdefs.h. */
8990_ACEOF 9180_ACEOF
8991cat confdefs.h >>conftest.$ac_ext 9181cat confdefs.h >>conftest.$ac_ext
8992cat >>conftest.$ac_ext <<_ACEOF 9182cat >>conftest.$ac_ext <<_ACEOF
8993/* end confdefs.h. */ 9183/* end confdefs.h. */
8994#include <$ac_header> 9184#include <utmpx.h>
8995_ACEOF 9185_ACEOF
8996if { (ac_try="$ac_cpp conftest.$ac_ext" 9186if { (ac_try="$ac_cpp conftest.$ac_ext"
8997case "(($ac_try" in 9187case "(($ac_try" in
8998 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 9188 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8999 *) ac_try_echo=$ac_try;; 9189 *) ac_try_echo=$ac_try;;
9022echo "${ECHO_T}$ac_header_preproc" >&6; } 9212echo "${ECHO_T}$ac_header_preproc" >&6; }
9023 9213
9024# So? What about this header? 9214# So? What about this header?
9025case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 9215case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
9026 yes:no: ) 9216 yes:no: )
9027 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5 9217 { echo "$as_me:$LINENO: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&5
9028echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;} 9218echo "$as_me: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
9029 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5 9219 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the compiler's result" >&5
9030echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;} 9220echo "$as_me: WARNING: utmpx.h: proceeding with the compiler's result" >&2;}
9031 ac_header_preproc=yes 9221 ac_header_preproc=yes
9032 ;; 9222 ;;
9033 no:yes:* ) 9223 no:yes:* )
9034 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5 9224 { echo "$as_me:$LINENO: WARNING: utmpx.h: present but cannot be compiled" >&5
9035echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;} 9225echo "$as_me: WARNING: utmpx.h: present but cannot be compiled" >&2;}
9036 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5 9226 { echo "$as_me:$LINENO: WARNING: utmpx.h: check for missing prerequisite headers?" >&5
9037echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;} 9227echo "$as_me: WARNING: utmpx.h: check for missing prerequisite headers?" >&2;}
9038 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5 9228 { echo "$as_me:$LINENO: WARNING: utmpx.h: see the Autoconf documentation" >&5
9039echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;} 9229echo "$as_me: WARNING: utmpx.h: see the Autoconf documentation" >&2;}
9040 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5 9230 { echo "$as_me:$LINENO: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&5
9041echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;} 9231echo "$as_me: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&2;}
9042 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 9232 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the preprocessor's result" >&5
9043echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 9233echo "$as_me: WARNING: utmpx.h: proceeding with the preprocessor's result" >&2;}
9044 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5 9234 { echo "$as_me:$LINENO: WARNING: utmpx.h: in the future, the compiler will take precedence" >&5
9045echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;} 9235echo "$as_me: WARNING: utmpx.h: in the future, the compiler will take precedence" >&2;}
9046 9236
9047 ;; 9237 ;;
9048esac 9238esac
9049{ echo "$as_me:$LINENO: checking for $ac_header" >&5 9239{ echo "$as_me:$LINENO: checking for utmpx.h" >&5
9050echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 9240echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6; }
9051if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 9241if test "${ac_cv_header_utmpx_h+set}" = set; then
9052 echo $ECHO_N "(cached) $ECHO_C" >&6 9242 echo $ECHO_N "(cached) $ECHO_C" >&6
9053else 9243else
9054 eval "$as_ac_Header=\$ac_header_preproc" 9244 ac_cv_header_utmpx_h=$ac_header_preproc
9055fi 9245fi
9056ac_res=`eval echo '${'$as_ac_Header'}'`
9057 { echo "$as_me:$LINENO: result: $ac_res" >&5 9246{ echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5
9058echo "${ECHO_T}$ac_res" >&6; } 9247echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6; }
9059 9248
9060fi 9249fi
9061if test `eval echo '${'$as_ac_Header'}'` = yes; then 9250if test $ac_cv_header_utmpx_h = yes; then
9062 cat >>confdefs.h <<_ACEOF
9063#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
9064_ACEOF
9065 { echo "$as_me:$LINENO: checking for struct utmpx" >&5 9251 { echo "$as_me:$LINENO: checking for struct utmpx" >&5
9066echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6; } 9252echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6; }
9067if test "${struct_utmpx+set}" = set; then 9253if test "${struct_utmpx+set}" = set; then
9068 echo $ECHO_N "(cached) $ECHO_C" >&6 9254 echo $ECHO_N "(cached) $ECHO_C" >&6
9069else 9255else
9070 cat >conftest.$ac_ext <<_ACEOF 9256 cat >conftest.$ac_ext <<_ACEOF
9237 9423
9238fi 9424fi
9239 9425
9240fi 9426fi
9241 9427
9242done
9243 9428
9244{ echo "$as_me:$LINENO: checking for struct lastlog" >&5 9429{ echo "$as_me:$LINENO: checking for struct lastlog" >&5
9245echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6; } 9430echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6; }
9246if test "${struct_lastlog+set}" = set; then 9431if test "${struct_lastlog+set}" = set; then
9247 echo $ECHO_N "(cached) $ECHO_C" >&6 9432 echo $ECHO_N "(cached) $ECHO_C" >&6
11658_ACEOF 11843_ACEOF
11659program_transform_name=`echo $program_transform_name | sed -f conftest.sed` 11844program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
11660rm -f conftest.sed 11845rm -f conftest.sed
11661 11846
11662 11847
11663
11664
11665
11666if test "$ac_cv_header_stdint_h" = "yes" -o "$notset" = "dontmatch"; then
11667 include_stdint_h="#include <stdint.h>"
11668else
11669 include_stdint_h="/* #include <stdint.h> */"
11670fi
11671if test "$rxvt_cv_header_sysioctl" = "yes" -o "$notset" = "dontmatch"; then
11672 include_sys_ioctl_h="#include <sys/ioctl.h>"
11673else
11674 include_sys_ioctl_h="/* #include <sys/ioctl.h> */"
11675fi
11676if test "$ac_cv_header_sys_strredir_h" = "yes" -o "$notset" = "dontmatch"; then
11677 include_sys_strredir_h="#include <sys/strredir.h>"
11678else
11679 include_sys_strredir_h="/* #include <sys/strredir.h> */"
11680fi
11681
11682ac_config_files="$ac_config_files Makefile doc/Makefile src/Makefile src/rxvtlib.h" 11848ac_config_files="$ac_config_files Makefile doc/Makefile src/Makefile"
11683 11849
11684cat >confcache <<\_ACEOF 11850cat >confcache <<\_ACEOF
11685# This file is a shell script that caches the results of configure 11851# This file is a shell script that caches the results of configure
11686# tests run on this system so they can be shared between configure 11852# tests run on this system so they can be shared between configure
11687# scripts and configure runs, see configure's option --config-cache. 11853# scripts and configure runs, see configure's option --config-cache.
12236 case $ac_config_target in 12402 case $ac_config_target in
12237 "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h:config.h.in" ;; 12403 "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h:config.h.in" ;;
12238 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;; 12404 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
12239 "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;; 12405 "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
12240 "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;; 12406 "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
12241 "src/rxvtlib.h") CONFIG_FILES="$CONFIG_FILES src/rxvtlib.h" ;;
12242 12407
12243 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5 12408 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
12244echo "$as_me: error: invalid argument: $ac_config_target" >&2;} 12409echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
12245 { (exit 1); exit 1; }; };; 12410 { (exit 1); exit 1; }; };;
12246 esac 12411 esac
12381PERLPRIVLIBEXP!$PERLPRIVLIBEXP$ac_delim 12546PERLPRIVLIBEXP!$PERLPRIVLIBEXP$ac_delim
12382IF_PERL!$IF_PERL$ac_delim 12547IF_PERL!$IF_PERL$ac_delim
12383PERL_O!$PERL_O$ac_delim 12548PERL_O!$PERL_O$ac_delim
12384AFTERIMAGE_CFLAGS!$AFTERIMAGE_CFLAGS$ac_delim 12549AFTERIMAGE_CFLAGS!$AFTERIMAGE_CFLAGS$ac_delim
12385AFTERIMAGE_LIBS!$AFTERIMAGE_LIBS$ac_delim 12550AFTERIMAGE_LIBS!$AFTERIMAGE_LIBS$ac_delim
12386include_stdint_h!$include_stdint_h$ac_delim
12387include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim
12388include_sys_strredir_h!$include_sys_strredir_h$ac_delim
12389LIBOBJS!$LIBOBJS$ac_delim 12551LIBOBJS!$LIBOBJS$ac_delim
12390LTLIBOBJS!$LTLIBOBJS$ac_delim 12552LTLIBOBJS!$LTLIBOBJS$ac_delim
12391_ACEOF 12553_ACEOF
12392 12554
12393 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 88; then 12555 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 85; then
12394 break 12556 break
12395 elif $ac_last_try; then 12557 elif $ac_last_try; then
12396 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 12558 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
12397echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} 12559echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
12398 { (exit 1); exit 1; }; } 12560 { (exit 1); exit 1; }; }

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines